summaryrefslogtreecommitdiff
path: root/tests/touch/fifo
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/fifo')
-rwxr-xr-xtests/touch/fifo4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/touch/fifo b/tests/touch/fifo
index 400c922c8..00b46f5c5 100755
--- a/tests/touch/fifo
+++ b/tests/touch/fifo
@@ -1,7 +1,7 @@
#!/bin/sh
# Make sure touch works on fifos without hanging.
-# Copyright (C) 2000, 2007 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2007-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -35,4 +35,4 @@ fail=0
touch fifo || fail=1
-exit $fail
+(exit $fail); exit $fail